Mailmus

Automations

GET
/projects/{projectId}/automations
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/automations"
[  {    "id": "string",    "name": "string",    "trigger": {},    "steps": [      {}    ],    "active": true,    "appId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/automations
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/automations" \  -H "Content-Type: application/json" \  -d '{    "name": "Welcome sequence",    "trigger": {      "type": "AUDIENCE_JOINED",      "audienceId": "aud_abc123"    },    "steps": [      {        "type": "SEND_EMAIL",        "templateId": "tpl_abc123",        "domainId": "dom_abc123",        "fromEmail": "hello@yourdomain.com",        "subject": "Welcome!"      }    ]  }'
{  "id": "string",  "name": "string",  "trigger": {},  "steps": [    {}  ],  "active": true,  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
PATCH
/projects/{projectId}/automations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/automations/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "trigger": {},  "steps": [    {}  ],  "active": true,  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/automations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/automations/string"
{  "deleted": true}
PATCH
/projects/{projectId}/automations/{id}/active
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/automations/string/active"
{  "id": "string",  "name": "string",  "trigger": {},  "steps": [    {}  ],  "active": true,  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
GET
/projects/{projectId}/automations/{id}/runs
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/automations/string/runs"
[  {    "id": "string",    "automationId": "string",    "contactId": "string",    "currentStep": 0,    "status": "RUNNING",    "startedAt": "2019-08-24T14:15:22Z",    "finishedAt": "2019-08-24T14:15:22Z"  }]